Chat now with support
Chat with Support

Foglight 5.7.5 - Upgrade Guide

Understand product versions Best practices Upgrade the Foglight Management Server Upgrade the Foglight Agent Manager Upgrade the Application Monitoring cartridges Upgrade the Database cartridges Upgrade the End User Management cartridges Upgrade the Infrastructure Management cartridges Upgrade the Integration cartridges Upgrade the cartridges in a federated or High Availability (HA) environment Appendix: Deploy an agent package using the browser interface

Upgrade Foglight for SNMP

The latest version of Foglight for SNMP is 5.8.5.8.

Foglight for SNMP 5.8.5.8 requires Management Server version 5.7.5 or later. It also requires Foglight for Infrastructure 5.8.5.4 or later.

Upgrades are supported from Foglight for SNMP 5.8.5 and later. Upgrades from previous SNMP-related Foglight solutions are not supported.

Prerequisite: Foglight for Infrastructure 5.8.5.8 must be installed before upgrading to Foglight for SNMP 5.8.5.8.

IMPORTANT: The BindUpTimeToHostBootTime rule was updated for this release. Before upgrading Foglight for SNMP to version 5.8.5.8, ensure that the BindUpTimeToHostBootTime rule was not modified on your environment. After upgrading to version 5.8.5.8, you must disable the GenericSNMPService cartridge and then re-enable it (or restart the Management Server), so that the rule change takes effect.
1
Use the Administration > Cartridges > Cartridge Inventory dashboard to install the SNMPCartridge-5_8_5_8.car cartridge and all the sub-cartridges within it. Do not delete the older version of the .car file. Install version 5.8.5.8 over the older version.
a
Navigate to the Administration > Agents > Agent Status dashboard.
Select any GenericSNMPAgent type agent and any GenericSNMPTrapAgent type agent and click Upgrade.
Click Deploy Agent Package and deploy both GenericeSNMPAgent and GenericSNMPTrapAgent packages to the targeted Foglight Agent Manager host.
3
Disable the GenericSNMPService cartridge and then re-enable it (or restart the Management Server), so that the rule changes takes effect.

Upgrade Foglight for Storage Management cartridge

The latest version of the Foglight for Storage Management cartridge is 4.4.5.

Foglight for Storage Management cartridge 4.4.5 requires Management Server version 5.7.5.1 (or later), or Foglight for Virtualization, Enterprise Edition 8.4 (or later). Prior to upgrading the Storage Management cartridge, you must update Foglight for VMware to version 5.7.3. For more information, see the Foglight for VMware Release Notes.

The Foglight for Storage Management 4.4.5 cartridge requires FglAM 5.8.5.4 or later. This is not the default with the older Foglight Management Server or FVE versions so the Agent Manager will need to be upgraded on older server installs before FSM 4.4.5 can be deployed. The Foglight Storage Manager 4.4.5/FVE 8.6 common installer has the necessary FglAM version.

IMPORTANT: Foglight Capacity Management 5.6.15.4 included in FVE 8.6 provides functionality only for Hyper-V® environments. For more information about this product, see the Foglight Capacity Management 5.6.15.4 documentation.
NOTE: Foglight Resource Optimizer provides recommendations for changes in the VMware® or Hyper-V® environments, to make more efficient the use of resources. This requires that the VMware or Hyper-V agent is configured with a user that has elevated privileges, beyond the read-only privileges required for monitoring. For a list of privileges required for the VMware or Hyper-V agent, refer to section “Configuring Monitoring Agents for Data Collection” in the Foglight for VMware User and Reference Guide and Foglight for Hyper-V User and Reference Guide, respectively.
4
Upgrade the Storage Management Agents from the Storage & San > Storage Environment > Administration dashboard, for each Agent Manager Hosts shown in the StorageAgentMaster Monitor Agents view.
For instructions, see “Deploying Storage Agents after an Upgrade” in the Managing Storage in Virtual Environments Installation and Configuration Guide. The upgrade dialog will:
a
Upgrade StorageAgentMasterMonitor.gar.
b
Deactivate StorageAgentMaster.gar and remove the Windows service running on the Agent Host named FoglightStorageManagerCollector or HDCCService.
c
Deploy StorageAgentMasterDB.gar and create an agent.
d
Upgrade StorageCollector.gar.

Upgrade Foglight for vCloud Director

The latest version of Foglight for vCloud Director is 5.7.3.

Foglight for vCloud Director 5.7.3 requires Management Server version 5.7.5 or Foglight for Virtualization, Enterprise Edition 8.3 or later.

2
On the Cartridge Inventory dashboard, install the vCloud-Director-5_7_3.car file. Do not remove the older version of this cartridge. Install version 5.7.3 over the older version.
3
On the navigation panel, under Dashboards, click vCloud Environment to open the vCloud Director Environment dashboard.
4
Click the Administration tab.
5
Click Update Agent once for each Foglight Agent Manager instance on which outdated vCloud Director agents are running.

Upgrade Foglight Web Monitor

The latest version of Foglight Web Monitor is 5.8.5.8.

Foglight Web Monitor 5.8.5.8 requires Management Server version 5.6.5 or later.

Foglight Web Monitor 5.8.5.8 can co-exist with legacy Cartridge for Operating System 5.5.4. If you have the Cartridge for Operating System 5.5.4 installed:

1
Deactivate all of the WebMonitorAgent instances.
2
Install the WebMonitor-5_8_5_8.car file on the Management Server as you would install a new Foglight Web Monitor. Do not uninstall or delete the previous version of this file. For complete instructions, see “Installing Foglight cartridges” in the Administration and Configuration Help.
4
Activate the WebMonitorAgent instances.
Related Documents

The document was helpful.

Select Rating

I easily found the information I needed.

Select Rating